// #autoload
// #name = Rep Pack Reminder
// #version = 1.0
// #date = 16 Feb 2003
// #status = Release
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Flashing Reticle Ring on Rep Pack Pickup. Thanks to ilys for the bug fix

function RepPackReminderFlash()
{
	if(!$RepPackinStation)
	{
		if ($RepPackReminderFlashSchedule != 0) cancel($RepPackReminderFlashSchedule);
		if (!$pref::RepPackReminder) return;
		if ($RepPackReminderFlashLoop < 20)
		{
			deploySensor.color = "255 0 0";
			deploySensor.visible = !deploySensor.visible;
			RepPackReminderHUD.visible = !RepPackReminderHUD.visible;
			alxPlay(sButtonOver, 0, 0, 0);
			$RepPackReminderFlashSchedule = schedule(250, 0, RepPackReminderFlash);
			$RepPackReminderFlashLoop++;
		}
	}
}

function RepPackReminderToggle(%val)
{
	if(%val)
	{
		$pref::RepPackReminder = !$pref::RepPackReminder;
		if($pref::RepPackReminder)
			addMessageHudLine("\c2Repair Pack Reminder is now: ON.");
		else
			addMessageHudLine("\c2Repair Pack Reminder is now: OFF.");
	}
}

function RepPackReminderSetup()
{
	if(!isObject(RepPackReminderHUD))
	{
		%x = (getWord($pref::Video::resolution, 0)/2)-70;
		%y = (getWord($pref::Video::resolution, 1)/2)+(getWord($pref::Video::resolution, 1)/5);

		new GuiTextCtrl(RepPackReminderHUD)
		{
			profile = "CenterPrintTextProfile";
			horizSizing = "relative";
			vertSizing = "center";
			position = %x @" "@ %y;
			extent = "140 22";
			minExtent = "8 8";
			visible = "0";
			helpTag = "0";
			text = "Repair Pack Pick Up";
			maxLength = "255";
		};
		PlayGui.add(RepPackReminderHUD);
		if (isObject(HM) && isObject(HudMover))
			hudmover::addhud(RepPackReminderHUD, "Rep Pack Hud");
	}

}

package RepPackReminder
{
	function OptionsDlg::onWake( %this )
	{
		if (!$RepPackReminderLoaded)
		{
			$RemapName[$RemapCount] = "Rep Pack Reminder";
			$RemapCmd[$RemapCount] = "RepPackReminderToggle";
			$RemapCount++;
			$RepPackReminderLoaded = true;
		}
		parent::onWake( %this );
	}

	function clientCmdSetBackpackHudItem(%num, %addItem)
	{
		Parent::clientCmdSetBackpackHudItem(%num, %addItem);
		%pack = $BackpackHudData[%num, itemDataName];

		if(strStr(%pack, "Repair") != -1 && %addItem > 0)
		{
			$RepPackReminderFlashLoop = 0;
			RepPackReminderFlash();
			%message = "\c2I have the \c5Repair Kit\c2. Cover me!!!~wslf.rep.base";
			commandToServer('TeamMessageSent', %message);
		}
		else
		{
			deploySensor.visible = 0;
			RepPackReminderHUD.visible = 0;
			if ($RepPackReminderFlashSchedule != 0) cancel($RepPackReminderFlashSchedule);
		}
	}

	function PlayGui::onWake(%this)
	{
		parent::onWake(%this);
				RepPackReminderSetup();
	}

	function clientCmdSetWeaponsHudClearAll()
	{
		parent::clientCmdSetWeaponsHudClearAll();

		if($RepPackcheckStation)
			$RepPackinStation = true;
	}

	function clientCmdSetStationKeys(%inStation)
	{
		parent::clientCmdSetStationKeys(%inStation);

		$RepPackcheckStation = %inStation;

		if(!$RepPackcheckStation && $RepPackinStation)
			$RepPackinStation = false;
	}
};
activatePackage(RepPackReminder);
